{% extends 'base.html' %}

{% block title %}Register{% endblock %}

{% block content %}
<div class="container">
	<div class="row">
		<div class="col-6 offset-3">
			<h1 class="text-center my-3">Register</h1>
			{% if error == True %}
				<p class="text-danger">Invalid user credentials, please check your username and password</p>
			{% endif %}
			<form action="{% url 'todolist:register' %}" method="post">
				<!-- This template tag provides protection against Cross Site Request Forgeries (CSRF) -->
				<!-- CSRF occurs when a malicious website contains a link, a form button or some JavaScript that is intended to perform some action our website, using the credentials of a logged-in user -->
				{% csrf_token %}

				<div class="mb-3">
				    <label for="username">Username: </label>
				    <input class="form-control" id="username" type="text" name="username" value="{{ username }}" maxlength="20" required>
				</div>

				<div class="mb-3">
				    <label for="first_name">First Name: </label>
				    <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="20" required>
				</div>

				<div class="mb-3">
				    <label for="last_name">Last Name: </label>
				    <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="20" required>
				</div>

				<div class="mb-3">
				    <label for="email">Email: </label>
				    <input class="form-control" id="email" type="email" name="email" value="{{ email }}" maxlength="20" required>
				</div>

				<div class="mb-3">
				    <label for="password1">Password: </label>
				    <input class="form-control" id="password1" type="password" name="password1" value="{{ password1 }}" maxlength="20" required>
				</div>

				<div class="mb-3">
				    <label for="password2">Confirm Password: </label>
				    <input class="form-control" id="password2" type="password" name="password2" value="{{ password2 }}" maxlength="20" required>
				</div>

				<div class="text-center">
			    	<input class="btn btn-success" type="submit" value="Register">
				</div>

			</form>
		</div>
	</div>
</div>
{% endblock %}